package cloudduggu.com;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * controller class which provide get message endpoint. Using this endpoint get all collected messages based on
 * subject variables.
 *
 * @author Sarvesh Kumar (CloudDuggu.com)
 * @version 1.0
 * @Since 2020-11-07
 */

@RestController
public class ConsumerController {

    @Autowired
    ConsumerService consumerService;

    @GetMapping("/message")
    public List<String> getMessages(@RequestParam("subject") String subject) {
        switch (subject) {
            case "Physics":
                return consumerService.physicsList.isEmpty() ? null : consumerService.physicsList;
            case "Chemistry":
                return consumerService.chemistryList.isEmpty() ? null : consumerService.chemistryList;
            case "Biology":
                return consumerService.biologyList.isEmpty() ? null : consumerService.biologyList;
            case "Mathematics":
                return consumerService.mathematicsList.isEmpty() ? null : consumerService.mathematicsList;

        }
        return null;
    }



}
