package cloudduggu.com;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.kafka.annotation.KafkaListener;
import org.springframework.stereotype.Service;

import java.util.*;

/**
 * is a service class through which collect all messages from KafkaListener and store in List Objects.
 *
 * @author Sarvesh Kumar (CloudDuggu.com)
 * @version 1.0
 * @Since 2020-11-07
 */

@Service
public class ConsumerService {

    Logger logger = LoggerFactory.getLogger(ConsumerService.class);

    List<String> physicsList = new LinkedList<>();
    List<String> chemistryList = new LinkedList<>();
    List<String> biologyList = new LinkedList<>();
    List<String> mathematicsList = new LinkedList<>();

    @KafkaListener(topics = "Physics", groupId = "Subject")
    public void getPhysicsMessages(String message) {
        logger.info("Physics: "+message);
        physicsList.add(0, message);
    }

    @KafkaListener(topics = "Chemistry", groupId = "Subject")
    public void getChemistryMessages(String message) {
        logger.info("Chemistry: "+message);
        chemistryList.add(0, message);
    }

    @KafkaListener(topics = "Biology", groupId = "Subject")
    public void getBiologyMessages(String message) {
        logger.info("Biology: "+message);
        biologyList.add(0, message);
    }

    @KafkaListener(topics = "Mathematics", groupId = "Subject")
    public void getMathematicsMessage(String message) {
        logger.info("Mathematics: "+message);
        mathematicsList.add(0, message);
    }



}
