package cloudduggu.com;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

import java.util.Properties;

/**
 * spring boot main class for project deployment and build. It has configuration for kafka consumer services details
 * and project server details
 *
 * @author Sarvesh Kumar (CloudDuggu.com)
 * @version 1.0
 * @Since 2020-11-07
 */

@SpringBootApplication
public class SpringKafkaConsumer {

	public static void main(String[] args) {
		Properties properties = new Properties();

		properties.setProperty("server.port", "8082");
		properties.setProperty("spring.kafka.consumer.bootstrap-servers", "localhost:9092");
		properties.setProperty("spring.kafka.consumer.group-id", "Subject");
		properties.setProperty("spring.kafka.consumer.auto-offset-reset", "earliest");
		properties.setProperty("spring.kafka.consumer.key-deserializer", "org.apache.kafka.common.serialization.StringDeserializer");
		properties.setProperty("spring.kafka.consumer.value-deserializer", "org.apache.kafka.common.serialization.StringDeserializer");

		SpringApplication.run(SpringKafkaConsumer.class, args);
	}

}

